Bug 143384 - [PATCH] databases/mysql50-server: switch to using USERS & GROUPS in Makefile
Summary: [PATCH] databases/mysql50-server: switch to using USERS & GROUPS in Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-30 23:50 UTC by Sevan Janiyan
Modified: 2011-02-08 12:50 UTC (History)
1 user (show)

See Also:


Attachments
mysql-server-5.0.89.patch (1.67 KB, patch)
2010-01-30 23:50 UTC, Sevan Janiyan
no flags Details | Diff
mysql-server-5.0.txt (6.89 KB, text/plain)
2010-03-20 04:05 UTC, Sevan Janiyan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2010-01-30 23:50:07 UTC
instead of manually creating a users via pkg-install, use $USERS & $GROUPS in makefile to specify the users & groups required by the port
this insures that the removal of accounts is taken care of when the port is removed

Removed file(s):
- pkg-install

Port maintainer (ale@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Sevan Janiyan 2010-01-31 00:58:51 UTC
>this insures that the removal of accounts is taken care of when
> the port is removed

Computer says no

=== Checking filesystem state after all packages deleted
cmp: EOF on /etc/group-save
=== /etc/group was modified:
--- /etc/group-save	2010-01-30 23:47:09.000000000 +0000
+++ /etc/group	2010-01-30 23:55:00.000000000 +0000
@@ -29,3 +29,4 @@
  www:*:80:
  nogroup:*:65533:
  nobody:*:65534:
+mysql:*:88:
cmp: EOF on /etc/master.passwd-save
=== /etc/master.passwd was modified:
--- /etc/master.passwd-save	2010-01-30 23:47:09.000000000 +0000
+++ /etc/master.passwd	2010-01-30 23:55:00.000000000 +0000
@@ -21,3 +21,4 @@
  pop:*:68:6::0:0:Post Office Owner:/nonexistent:/usr/sbin/nologin
  www:*:80:80::0:0:World Wide Web Owner:/nonexistent:/usr/sbin/nologin
  nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin
+mysql:*:88:88::0:0:MySQL Daemon:/var/db/mysql:/usr/sbin/nologin
Comment 2 Martin Wilke freebsd_committer 2010-01-31 01:36:26 UTC
State Changed
From-To: open->closed

duplicate with 143387
Comment 3 Sevan Janiyan 2010-03-15 23:04:57 UTC
On 31/01/2010 01:36, miwi@FreeBSD.org wrote:
> Synopsis: [PATCH] databases/mysql-server: switch to using USERS&  GROUPS in Makefile
>
> State-Changed-From-To: open->closed
> State-Changed-By: miwi
> State-Changed-When: Sun Jan 31 01:36:26 UTC 2010
> State-Changed-Why:
> duplicate with 143387
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=143384

this is for mysql 5.0
PR 143387 was for 5.1
could you re-open/commit?
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-03-16 03:50:25 UTC
State Changed
From-To: closed->open

Per submitter request, change synopsis and reopen and assign. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-03-16 03:50:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale
Comment 6 Sevan Janiyan 2010-03-20 04:05:23 UTC
Updated diff attached which adds:
droping the .sh extension from the rc script
adds USE_LDCONFIG

Added file(s):
- files/mysql-server.in

Removed file(s):
- pkg-install
- files/mysql-server.sh.in
Comment 7 Martin Wilke freebsd_committer 2011-02-05 06:03:12 UTC
State Changed
From-To: open->feedback

any process here?
Comment 8 dfilter service freebsd_committer 2011-02-08 12:49:44 UTC
ale         2011-02-08 12:49:39 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql50-server Makefile distinfo 
    databases/mysql50-server/files mysql-server.sh.in 
  Removed files:
    databases/mysql50-server pkg-install 
  Log:
  Update to 5.0.92:
  - switch to use USER/GROUP [1]
  - allow custom pidfile
  - replace CONFLICTS with CONFLICTS_INSTALL
  
  PR:             ports/143384
  Submitted by:   Sevan Janiyan <venture37@geeklan.co.uk>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.256     +10 -6     ports/databases/mysql50-server/Makefile
  1.114     +2 -2      ports/databases/mysql50-server/distinfo
  1.8       +4 -3      ports/databases/mysql50-server/files/mysql-server.sh.in
  1.7       +0 -36     ports/databases/mysql50-server/pkg-install (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Alex Dupre freebsd_committer 2011-02-08 12:49:56 UTC
State Changed
From-To: feedback->closed

Committed, thanks.